//for bcc32

#include <windows.h>
#pragma hdrstop

#pragma argsused
WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance, LPSTR lpCmdLine, int nCmdShow)
{
	HWND hPnir = FindWindow("SleipnirMainWindow",NULL);
	if(!hPnir) return 1;

	int doTop = false;

	if(lpCmdLine){
		if(strcmp(lpCmdLine,"on") == 0){
			doTop = true;
		}else if(strcmp(lpCmdLine,"off") == 0){
			doTop = false;
		}else{	//toggle
			doTop = !(GetWindowLong(hPnir,GWL_EXSTYLE) & WS_EX_TOPMOST);
		}
	}
	
	if(doTop){
		SetWindowPos(hPnir,HWND_TOPMOST,0,0,0,0,(SWP_NOMOVE|SWP_NOSIZE));
	}else{
		SetWindowPos(hPnir,HWND_NOTOPMOST,0,0,0,0,(SWP_NOMOVE|SWP_NOSIZE));
	}
	return 0;
}
